Difference between revisions of "Konversation/Sources"

Jump to: navigation, search
(KDE 4 version)
Line 2: Line 2:
 
<translate>
 
<translate>
 
== Preface ==
 
== Preface ==
 
+
<span id="Preface"></span>
 
* '''CAUTION!''' Be aware that beta testing is potentially dangerous to your installation. Don't install beta versions on production systems. If you are aware of the risks and that's ok for you: Keep on. Your help is appreciated. Nevertheless, especially for beta versions goes: '''This software comes with no warranty at all!'''
 
* '''CAUTION!''' Be aware that beta testing is potentially dangerous to your installation. Don't install beta versions on production systems. If you are aware of the risks and that's ok for you: Keep on. Your help is appreciated. Nevertheless, especially for beta versions goes: '''This software comes with no warranty at all!'''
  

Revision as of 16:19, 25 July 2011

Other languages:
dansk • ‎English • ‎українська

Preface

  • CAUTION! Be aware that beta testing is potentially dangerous to your installation. Don't install beta versions on production systems. If you are aware of the risks and that's ok for you: Keep on. Your help is appreciated. Nevertheless, especially for beta versions goes: This software comes with no warranty at all!
  • Before starting beta testing it's a good idea to make a backup of your configuration, stored in ~/.kde/share/config/konversationrc, and your application data, stored in ~/.kde/share/apps/konversation.
  • If you found a bug or have a feature request, let us know by filing it in the KDE Bug Tracker.

Current dependencies

Build dependencies

  • Qt v4.6.0 or higher.
  • kdelibs from KDE v4.4.3 or higher.
  • kdepimlibs from KDE v4.4.0 or higher.
  • Phonon from KDE v4.4.0 or higher or Qt v4.6.0 and higher.
  • Optional: Qt Cryptographic Architecture (QCA) v2.0.0 or higher for encryption support (Blowfish).

Runtime dependencies

  • kdebase-runtime from KDE v4.4.0 or higher.
  • Optional: A QCA provider plugin providing Diffie-Hellman key exchange and Blowfish ECB/CBC support for the encryption features; usually that plugin is qca-ossl.
  • Optional: An installation of KDE's Konsole terminal emulator to provide the KPart component used by the console tabs feature.
  • Optional: Python and Perl interpreters as well the bash shell for bundled scripts.

Manual checkout and update

KDE 4 version

To install latest Konversation from Git you first need to clone the repository. For read-only public access, use the following:

 git clone git://anongit.kde.org/konversation

If on the other hand you have a KDE developer account, use this instead to be able to push your changes to the repository later:

 git clone git@git.kde.org:konversation

After having cloned the repository, go on like this:

 cd konversation
 mkdir build
 cd build
 cmake -DCMAKE_BUILD_TYPE=debugfull ..
 make
 sudo make install

If you already did the above, just do the following whenever you want to update your checkout and installation:

 cd konversation; git pull; cd build; make; sudo make install

See the links at the bottom of this page for more information on working with Git.

KDE 3 version

See the separate page.

Live packages

  • ArchLinux users can use the live PKGBUILD available on the ArchLinux page.
  • Gentoo maintains a live ebuild for Konversation in the kde overlay.

Further reading


Content is available under Creative Commons License SA 4.0 unless otherwise noted.